
{% extends template_base %}
{% load i18n %}
{% load staticfiles %}
{% load humanize %}



{% block pagelevelcss %}
<link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />

  <style>
  #form1 {
   display: none;
}
  </style>
{% endblock %}



{% block title %}Pagos{% endblock %}

{% block page %}

{% if perms.customers.cleared_payment %}
<input id="canClear" type="hidden" value="yes">
{% else %}
<input id="canClear" type="hidden" value="no">
{% endif %}


<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
	<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
  <li class="breadcrumb-item active">Pagos</li>
</ol>
<!-- end breadcrumb -->

<!-- begin page-header -->
<h1 class="page-header">Lista <small>pagos</small></h1>
<!-- end page-header -->


<!-- begin row -->
<div class="row">
  <!-- begin col-12 -->
  <div class="col-xl-12 ui-sortable">
    <!-- begin panel -->
    <div class="panel panel-inverse" data-sortable-id="ui-general-1">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <h4 class="panel-title">Lista de Pagos</h4>
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
        </div>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
        <div class="row mb-3">
            <form class="form-inline" id="form1">
              <div class="row mb-3 m-l-10">
                <div class="form-group m-r-10">
                      <label for="id_kind_kind" class="control-label m-r-10">Metodo</label>
                      <select id="id_kind_kind" class="form-control">
                        <option value="">Todos</option>
                        <option value="1">Cheque</option>
                        <option value="2">Transferencia</option>
                        <option value="3">Contado</option>
                        <option value="4">Orden de Compra</option>
                        <option value="5">Otro</option>
                      </select>
                </div>
                <div class="form-group m-r-10">
                        <label for="id_operator_cliente" class="control-label m-r-10">O. Cliente</label>
                        <select id="id_operator_cliente" class="form-control">
                            {% for operator in operators %}
                            <option value="{{ operator.pk }}">{{ operator.name }}</option>
                            {% endfor %}
                        </select>
                </div>
                <div class="form-group m-r-10">
                        <label for="id_operator" class="control-label m-r-10">O. Pago</label>
                        <select id="id_operator" class="form-control">
                          {%if if_todos %}
                          {%for b in operadores %}
                          <option value="{{b.id}}">{{b.name}}</option>
                          {%endfor%}
                          {% else%}
                          {%for b in operadores %}
                          <option value="{{current_operator}}">{{current_operator_name}}</option>
                          {%endfor%}
                          {%endif%}
                        </select>
                </div>
                <div class="form-group m-r-10">
                    <button id="export-button" class="btn btn-indigo btn-sm pull-right ml-1" type="button">Exportar</button>
                </div>
              </div>
            </form>
        </div>
        <button type="button" id="formButton" class="btn btn-success btn-raised pull-right"> Filtros</button>

            <table id="provider-payment-list" cellspacing="0" class="table table-hover">
                
              <thead>
                <tr>
                  <th>Fecha de creación</th>
                  <th>ID</th>
                  <th>Proveedor</th>
                  <th>O. Proveedor</th>
                  <th>Fecha de pago</th>
                  <th>Monto</th>
                  <th>Tipo</th>
                  <th>O. Pago</th>
                </tr>
              </thead>
              <tbody>
              </tbody>
            </table>
          </div>
          <!-- end panel-body -->
          </div>
          <!-- end panel -->
          </div>
          <!-- end col-12 -->
          </div>
          <!-- end row -->
          
          <!-- begin scroll to top btn -->
          <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
          <!-- end scroll to top btn -->
          {% endblock %}


{% block pageleveljs %}

<script type="text/javascript" defer>
//active menu
document.getElementById("finances_menu").classList.add("active");
  //active submenu item
    //active menu
    document.getElementById("providers_menu").classList.add("active");
    //active submenu item
    document.getElementById("providers_payment").classList.add("active");
</script>

<script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/select2/dist/js/select2.min.js' %}"></script>
<script type="text/javascript" src="{% static 'theme/build/js/pages/provider-payment-list.js' %}"></script>

<script>

  $("#formButton").click(function() {
    $("#form1").toggle();
    
  });

function changeOperatorAjax(operator, service){
}

$('#id_agent').select2({
  placeholder: 'Selecciona un agente',
  allowClear: true
});
$('#id_agent').val('').trigger('change')


$('#id_kind_kind').select2({
  placeholder: 'Selecciona un metodo',
  allowClear: true
});
$('#id_kind_kind').val('').trigger('change')

$('#id_operator').select2({
  placeholder: 'Selecciona un operador',
  allowClear: true
});
$('#id_operator').val('').trigger('change')

$('#id_operator_cliente').select2({
  placeholder: 'Selecciona un operador',
  allowClear: true
});
$('#id_operator_cliente').val('').trigger('change')

$('#id_bankaccount').select2({
  placeholder: 'Selecciona una cuenta',
  allowClear: true
});

var today = new Date();
var dd = today.getDate();
var mm = today.getMonth()+1; //January is 0!
var yyyy = today.getFullYear();
 if(dd<10){
        dd='0'+dd
    } 
    if(mm<10){
        mm='0'+mm
    } 

today = yyyy+'-'+mm+'-'+dd;
document.getElementById("id_start_date").setAttribute("max", today);
document.getElementById("id_end_date").setAttribute("max", today);

$('#id_bankaccount').val('').trigger('change')

      function get_data(){
        operator_id = document.getElementById("id_operator").value;
        $('#id_bankaccount').val(null).trigger('change');
        $('#id_bankaccount').empty();
        if(operator_id.length != 0){
          $.get('/bankaccount_ajax/', {operator: operator_id}, function(json_response) {;

          var obj = json_response.bankaccounts;
          
          Object.keys(obj).forEach(function(k){
            var data = {
              id : obj[k].id,
              text : obj[k].tag
            }
            var newOption = new Option(data.text, data.id, false, false);
            $('#id_bankaccount').append(newOption).trigger('change');
            $('#id_bankaccount').val(null).trigger('change');
          });


          });
        }
        
      }

      $('#id_operator').change(function(){
        get_data();
      });

      function clearPayment(el){
        var payment_id = el.getAttribute('payment_id');
        var checked = el.checked;
        if (el.checked == false){
          if (confirm("Estás a punto de desconciliar un pago!")) {
            $.get('/clear_payment_ajax/', {payment: payment_id, cleared: checked}, function(json_response) {
              if(json_response.data == el.checked){
              var para = document.createElement("p");
              var node = document.createTextNode("Pago Desconciliado!");
              para.appendChild(node);
              para.setAttribute("class", "text-danger");
              el.parentElement.appendChild(para);
              setTimeout(function(){
                el.parentElement.removeChild(para);
              }, 3000);
            }
            });
          } else {
            el.checked = true;
          } 
        } else {
          $.get('/clear_payment_ajax/', {payment: payment_id, cleared: checked}, function(json_response) {
            
            if(json_response.data == el.checked){
              var para = document.createElement("p");
              var node = document.createTextNode("Pago Conciliado!");
              para.appendChild(node);
              para.setAttribute("class", "text-success");
              el.parentElement.appendChild(para);
              setTimeout(function(){
                el.parentElement.removeChild(para);
              }, 3000);
            }
          });
        }
      }
    </script>
{% endblock %}